perl-Package-Stash-0.34-2.el7.noarch.rpm


Advertisement

Description

perl-Package-Stash - Routines for manipulating stashes

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name perl-Package-Stash
Package version 0.34
Package release 2.el7
Package architecture noarch
Package type rpm
Installed size 52.85 KB
Download size 34.04 KB
Official Mirror mirror.centos.org
Manipulating stashes (Perl's symbol tables) is occasionally necessary, but
incredibly messy, and easy to get wrong. This module hides all of that behind
a simple API.

Alternatives

Package Version Architecture Repository
perl-Package-Stash - - -

Requires

Name Value
/usr/bin/perl -
perl >= 5.008001
perl(:MODULE_COMPAT_5.16.3) -
perl(B) -
perl(Carp) -
perl(Getopt::Long) -
perl(Module::Implementation) >= 0.06
perl(Package::DeprecationManager) -
perl(Package::Stash::XS) >= 0.26
perl(Scalar::Util) -
perl(Symbol) -
perl(constant) -
perl(strict) -
perl(warnings) -

Provides

Name Value
perl(Package::Stash) = 0.34
perl(Package::Stash::Conflicts) = 0
perl(Package::Stash::PP) = 0.34
perl-Package-Stash = 0.34-2.el7

Download

Type URL
Binary Package perl-Package-Stash-0.34-2.el7.noarch.rpm
Source Package perl-Package-Stash-0.34-2.el7.src.rpm

Install Howto

Install the perl-Package-Stash rpm package:

# yum install perl-Package-Stash

Files

Path
/usr/bin/package-stash-conflicts
/usr/share/doc/perl-Package-Stash-0.34/Changes
/usr/share/doc/perl-Package-Stash-0.34/LICENSE
/usr/share/doc/perl-Package-Stash-0.34/README
/usr/share/man/man3/Package::Stash.3pm.gz
/usr/share/man/man3/Package::Stash::PP.3pm.gz
/usr/share/perl5/vendor_perl/Package/Stash.pm
/usr/share/perl5/vendor_perl/Package/Stash/Conflicts.pm
/usr/share/perl5/vendor_perl/Package/Stash/PP.pm

Changelog

2013-12-27 - Daniel Mach <dmach@redhat.com> - 0.34-2
- Mass rebuild 2013-12-27
2013-01-06 - Paul Howarth <paul@city-fan.org> - 0.34-1
- Update to 0.34
- Support anonymous stashes on newer perl versions
- Prevent harmful effects from invalid settings for
$ENV{PACKAGE_STASH_IMPLEMENTATION}
- Switch to Module::Implementation
- BR: perl(Module::Implementation) ≥ 0.06
- BR: perl(base) for test suite
- Bump Package::Stash::XS version requirement to 0.26
- Explicitly run extra tests (except on RHEL ≥ 7, where the necessary
build dependencies may not be available)
- Update patch for building with old Test::More version in EPEL-5
2012-08-27 - Petr Pisar <ppisar@redhat.com> - 0.33-7
- Disable author tests on RHEL >= 7
2012-08-24 - Paul Howarth <paul@city-fan.org> - 0.33-6
- Drop EPEL-4 support
- Drop %defattr, redundant since rpm 4.4
- Test::LeakTrace, Test::Requires and Test::Script are now universally available
- A suitably recent version of ExtUtils::MakeMaker is now universally available
- Don't need to remove empty directories from the buildroot
2012-08-14 - Petr Pisar <ppisar@redhat.com> - 0.33-5
- Specify all dependendencies
2012-07-20 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
2012-06-19 - Petr Pisar <ppisar@redhat.com> - 0.33-3
- Perl 5.16 rebuild
2012-01-12 - Paul Howarth <paul@city-fan.org> - 0.33-2
- Fedora 17 mass rebuild
2011-09-29 - Paul Howarth <paul@city-fan.org> - 0.33-1
- Update to 0.33
- Add conflict on MooseX::Method::Signatures 0.36
- BR: perl(Carp)
2011-09-06 - Paul Howarth <paul@city-fan.org> - 0.32-1
- Update to 0.32
- Bring the behavior of has_symbol for nonexistant scalars into line with the
XS version
- Invalid package names (for instance, Foo:Bar) are not allowed
- Invalid stash entry names (anything containing ::) are not allowed
- Update patches to apply cleanly
- Bump perl(Package::Stash::XS) version requirement to 0.24

See Also

Package Description
perl-Package-Stash-XS-0.26-3.el7.x86_64.rpm Faster and more correct implementation of the Package::Stash API
perl-PadWalker-1.96-3.el7.x86_64.rpm Play with other peoples' lexical variables
perl-Parallel-Iterator-1.00-8.el7.noarch.rpm Simple parallel execution
perl-Params-Check-0.38-2.el7.noarch.rpm Generic input parsing/checking mechanism
perl-Params-Util-1.07-6.el7.x86_64.rpm Simple standalone parameter-checking functions
perl-Params-Validate-1.08-4.el7.x86_64.rpm Params-Validate Perl module
perl-Parse-CPAN-Meta-1.4404-5.el7.noarch.rpm Parse META.yml and META.json CPAN meta-data files
perl-Parse-RecDescent-1.967009-5.el7.noarch.rpm Generate Recursive-Descent Parsers
perl-Parse-Yapp-1.05-50.el7.noarch.rpm Perl extension for generating and using LALR parsers
perl-PathTools-3.40-5.el7.x86_64.rpm PathTools Perl module (Cwd, File::Spec)
perl-Perl-Critic-1.118-5.el7.noarch.rpm Critique Perl source code for best-practices
perl-Perl-Critic-More-1.000-9.el7.noarch.rpm Supplemental policies for Perl::Critic
perl-Perl-MinimumVersion-1.32-2.el7.noarch.rpm Find a minimum required version of perl for Perl code
perl-Perl-OSType-1.003-3.el7.noarch.rpm Map Perl operating system names to generic types
perl-Perl4-CoreLibs-0.003-7.el7.noarch.rpm Libraries historically supplied with Perl 4
Advertisement
Advertisement